Pulp - Task #2312

Add a Task ViewSet
09/30/2016 09:10 PM - amacdona@redhat.com

Status: CLOSED - CURRENTRELEASE Start date:

Priority: Normal Due date:

Assignee: bizhang % Done: 100%
Category: Estimated time: 0:00 hour
Sprint/Milestone: 3.0.0

Platform Release: Tags:

Groomed: Yes Sprint: Sprint 10
Sprint Candidate: Yes Quarter:

Description

Related issues:
Blocked by Pulp - Task #2300: Add serializer for the task models. CLOSED - CURRENTRELEASE

Associated revisions

Revision 59e4d615 - 11/09/2016 09:15 PM - bizhang

Add task and worker viewsets

closes #2312 https://pulp.plan.io/issues/2312

Revision 59e4d615 - 11/09/2016 09:15 PM - bizhang

Add task and worker viewsets

closes #2312 https://pulp.plan.io/issues/2312

History

#1 - 09/30/2016 09:11 PM - amacdona@redhat.com
- Tracker changed from Issue to Task
- % Done set to 0

- Sprint Candidate changed from No to Yes

#2 - 09/30/2016 09:15 PM - amacdona@redhat.com
- Blocked by Task #2300: Add serializer for the task models. added

#3 - 09/30/2016 10:34 PM - semyers

- Groomed changed from No to Yes

#4 - 10/03/2016 03:42 PM - mhrivnak
- Sprint/Milestone set to 27

#5 - 10/20/2016 06:59 PM - bizhang
- Status changed from NEW to ASSIGNED

- Assignee set to bizhang

#6 - 10/24/2016 04:29 PM - jortel@redhat.com
- Sprint/Milestone changed from 27 to 28

#7 - 11/02/2016 08:08 PM - dkliban@redhat.com

In addition to the viewset, the OperationPostponeResponse object needs to be updated to make use of the new viewset. Currently, the
OperationPostponedResponse raises a NotimplementedError. This error needs to be removed and the '_href field on the task dictionary needs to be
set to the href generated by the task viewset.
#8 - 11/03/2016 09:20 PM - bizhang
- Status changed from ASSIGNED to POST

PR: https://github.com/pulp/pulp/pull/2819

#9 - 11/09/2016 09:21 PM - bizhang
- Status changed from POST to MODIFIED
- % Done changed from 0 to 100

Applied in changeset pulp|59e4d6152c37d0fe5c850ab48000ba15c0f53107.

#10 - 03/08/2018 08:12 PM - bmbouter
- Sprint set to Sprint 10

#11 - 03/08/2018 08:13 PM - bmbouter
- Sprint/Milestone deleted (28)

#12 - 04/25/2019 06:47 PM - daviddavis
- Sprint/Milestone set to 3.0.0

#13 - 04/26/2019 10:39 PM - bmbouter
- Tags deleted (Pulp 3)

#14 - 12/13/2019 06:16 PM - bmbouter
- Status changed from MODIFIED to CLOSED - CURRENTRELEASE
